cURL
curl -X PATCH "$EXSITED_BASE_URL/api/v4/settings/approval_profiles/ap_0c2e4a6b8d1f4c3e5a7b9d0f2a4c6e8b" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"approval_profile": {
"display_name": "Large order approval (finance)"
}
}'from exsited import build_client
client = build_client()
response = client.approval_profiles.update_settings_approval_profile(
"ap_0c2e4a6b8d1f4c3e5a7b9d0f2a4c6e8b",
{"approval_profile": {"display_name": "Large order approval (finance)"}},
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.approvalProfiles.updateSettingsApprovalProfile('ap_0c2e4a6b8d1f4c3e5a7b9d0f2a4c6e8b', {
approval_profile: {display_name: 'Large order approval (finance)'},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->approvalProfiles->updateSettingsApprovalProfile(
'ap_0c2e4a6b8d1f4c3e5a7b9d0f2a4c6e8b',
['approval_profile' => ['display_name' => 'Large order approval (finance)']],
);
print_r($response->data);
import com.exsited.Dto;
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<Dto> response = client.approvalProfiles().updateSettingsApprovalProfile(
"ap_0c2e4a6b8d1f4c3e5a7b9d0f2a4c6e8b",
Map.of("approval_profile", Map.of("display_name", "Large order approval (finance)")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.ApprovalProfiles.UpdateSettingsApprovalProfileAsync(
"ap_0c2e4a6b8d1f4c3e5a7b9d0f2a4c6e8b",
new Dictionary<string, object?>
{
["approval_profile"] = new Dictionary<string, object?>
{
["display_name"] = "Large order approval (finance)",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.approvalProfiles.updateSettingsApprovalProfile(
'ap_0c2e4a6b8d1f4c3e5a7b9d0f2a4c6e8b',
{
'approval_profile': {'display_name': 'Large order approval (finance)'},
},
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.ApprovalProfiles().UpdateSettingsApprovalProfile(context.Background(), "ap_0c2e4a6b8d1f4c3e5a7b9d0f2a4c6e8b", map[string]any{
"approval_profile": map[string]any{
"display_name": "Large order approval (finance)",
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
Approval profiles
Update an approval profile
Changes an approval profile’s fields or its status.
PATCH
/
settings
/
approval_profiles
/
{approval_profile_id}
cURL
curl -X PATCH "$EXSITED_BASE_URL/api/v4/settings/approval_profiles/ap_0c2e4a6b8d1f4c3e5a7b9d0f2a4c6e8b" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"approval_profile": {
"display_name": "Large order approval (finance)"
}
}'from exsited import build_client
client = build_client()
response = client.approval_profiles.update_settings_approval_profile(
"ap_0c2e4a6b8d1f4c3e5a7b9d0f2a4c6e8b",
{"approval_profile": {"display_name": "Large order approval (finance)"}},
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.approvalProfiles.updateSettingsApprovalProfile('ap_0c2e4a6b8d1f4c3e5a7b9d0f2a4c6e8b', {
approval_profile: {display_name: 'Large order approval (finance)'},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->approvalProfiles->updateSettingsApprovalProfile(
'ap_0c2e4a6b8d1f4c3e5a7b9d0f2a4c6e8b',
['approval_profile' => ['display_name' => 'Large order approval (finance)']],
);
print_r($response->data);
import com.exsited.Dto;
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<Dto> response = client.approvalProfiles().updateSettingsApprovalProfile(
"ap_0c2e4a6b8d1f4c3e5a7b9d0f2a4c6e8b",
Map.of("approval_profile", Map.of("display_name", "Large order approval (finance)")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.ApprovalProfiles.UpdateSettingsApprovalProfileAsync(
"ap_0c2e4a6b8d1f4c3e5a7b9d0f2a4c6e8b",
new Dictionary<string, object?>
{
["approval_profile"] = new Dictionary<string, object?>
{
["display_name"] = "Large order approval (finance)",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.approvalProfiles.updateSettingsApprovalProfile(
'ap_0c2e4a6b8d1f4c3e5a7b9d0f2a4c6e8b',
{
'approval_profile': {'display_name': 'Large order approval (finance)'},
},
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.ApprovalProfiles().UpdateSettingsApprovalProfile(context.Background(), "ap_0c2e4a6b8d1f4c3e5a7b9d0f2a4c6e8b", map[string]any{
"approval_profile": map[string]any{
"display_name": "Large order approval (finance)",
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
Send the fields to change. The updated approval profile comes back.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token. To send a raw JSON body instead of filling in fields, copy the cURL sample and edit its -d payload.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The approval profile's ap_ id.
Body
application/json
The fields to change.
Show child attributes
Show child attributes
Response
200
The updated approval profile.